
-- by mx270


FixEvent = {};
FixEvent_mt = Class(FixEvent, Event);

InitEventClass(FixEvent, "FixEvent");

function FixEvent:emptyNew()
    local self = Event:new(FixEvent_mt );
    self.className="FixEvent";
    return self;
end;

function FixEvent:new(vehicle, Fix)
    self.vehicle = vehicle;
    self.Fix = Fix;
    return self;
end;

function FixEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.Fix = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function FixEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.Fix );
end;

function FixEvent:run(connection)
    self.vehicle:SetFixVehicles(self.Fix, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(FixEvent:new(self.vehicle, self.Fix), nil, connection, self.object);
	end;
end;

function FixEvent.sendEvent(vehicle, Fix, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then 
			g_server:broadcastEvent(FixEvent:new(vehicle, Fix), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(FixEvent:new(vehicle, Fix));
		end;
	end;
end;

